/*
 * jabak Java Backup
 * 
 * Copyright (C) under the terms of the GNU General Public License
 * as explained in the file "disclaimer.txt"
 */

package ui;

import java.awt.Dimension;
import java.awt.Font;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * this class represents an own frame displaying text
 * either from a string or from a file.
 * 
 * @author  Georg Dietrich
 * @version 1.0 on 2004-04-25
 */
public class HintText extends JScrollPane {

	// TODO: implement hint text functionality

	public HintText (String string) {
		// Create a text area.
		JTextArea textArea = new JTextArea(string);
		textArea.setEditable(false);
		textArea.setFont(new Font("Courier", Font.ITALIC, 16));
		textArea.setLineWrap(true);
		textArea.setWrapStyleWord(true);
		
		// embed the text area into a scroll pane
		setVerticalScrollBarPolicy(
						JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		setViewportView(textArea);
		setMinimumSize(new Dimension(100,50));
	}

}
